## org.apache.portals.bridges.struts.taglib
Class ScriptTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.portals.bridges.struts.taglib.ScriptTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class ScriptTag
extends javax.servlet.jsp.tagext.TagSupport

Generate a script tag for use within a Portlet environment.

The src attribute is resolved to a context relative path and may contain a relative path (prefixed with one or more ../ elements).

Note: works equally well within a Portlet context as a Web application context.

Version:
  $Id: ScriptTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary
`protected String` `language` The language attribute for the script tag.
`protected String` `src` The script src path.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ScriptTag()`

Method Summary
`int` `doEndTag()`
`int` `doStartTag()`
`String` `getLanguage()`
`String` `getSrc()`
`void` `release()`
`void` `setLanguage(String language)`
`void` `setSrc(String src)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language

    protected String language

  The language attribute for the script tag.

  Defaults to "Javascript1.1"

### src

    protected String src

  The script src path.

  May contain a relative path (prefixed with one or more ../ elements).

Constructor Detail

### ScriptTag

    public ScriptTag()

Method Detail

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getSrc

    public String getSrc()

### setSrc

    public void setSrc(String src)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()

### release

    public void release()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.